%define name glade3
%define major 	3
%define libname %mklibname gladeui1_ %major

Summary: 	GTK+ / GNOME 2 widget builder
Name: 		%{name}
Version: 	3.0.1
Release: %mkrel 1
Epoch: 1
License: 	LGPL
Url: 		http://glade.gnome.org/
Group: 		Development/GNOME and GTK+
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/glade-3/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
#Provides: 	glade3 = %{version}
BuildRequires: 	libxml2-devel
BuildRequires: 	libgnomeprintui-devel
BuildRequires: 	libgnomeui2-devel
BuildRequires: 	desktop-file-utils
BuildRequires: 	gtk-doc
BuildRequires: 	perl-XML-Parser
BuildRequires:	ImageMagick
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Glade is a Widget builder for Gtk/gnome. 
It allows to create a gtk/gnome interface in C, C++, Ada and Perl

This version of Glade (Glade-3) is a complete rewrite of the original
Glade codebase.
It has useful new features (Undo/Redo, MultiProject support) and has a
cleaner architecture, note however that it is not ready yet for everyday
use and lacks support for additional widgets, as Gnome and Gnome-db widgets.
One of the main differnces from glade-2 is that C code generation has been
removed from glade-3: this has been done on purpose, since using generated
code is deprecated; the preferred way to use glade files is with libglade.
Another important thing to note is that the XML format has _not_ changed,
so you can work on the same project both with glade-3 and with glade-2.
For a more details on what has changed, what still needs work, etc. see
the NEWS, BUGS and TODO files.
Comments, bug reports and patches are more than welcome.

%package -n %{libname}
Summary:	Libraries required for glade-3
Group:		System/Libraries
Provides:	libgladeui = %epoch:%{version}

%description -n %{libname}
Libraries and file require to run program built with glade-3

%package -n %{libname}-devel
Summary:	Static libraries, include files for libgladeui (glade-3)
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %epoch:%{version}
Provides:	libgladeui-devel = %epoch:%{version}-%{release}
Provides:	glade3-devel = %epoch:%{version}-%{release}
Provides:	libgladeui%{major}-devel = %epoch:%{version}-%{release}

%description -n %{libname}-devel
Static library, headers files and documentation needed in order
to develop applications using libgladeui (glade-3).

%prep
%setup -q -n %{name}-%version
#./autogen.sh

%build
%configure2_5x --enable-gtk-doc
%make

%install
rm -fr %buildroot
%makeinstall_std
%{find_lang} %{name}-2.0 --with-gnome --all-name

# menu
install -m 755 -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/glade-3" needs="X11" icon="%{name}.png"\
  section="Applications/Development/Development Environments" \
  title="Glade 3" longtitle="GTK/GNOME 3 Widget Builder" startup_notify="true" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-DevelopmentEnvironments;GUIDesigner" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p %{buildroot}%{_miconsdir} %{buildroot}%{_liconsdir}
convert -size 16x16 glade-3.png %{buildroot}%{_miconsdir}/%{name}.png
convert -size 32x32 glade-3.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 48x48 glade-3.png %{buildroot}%{_liconsdir}/%{name}.png

find %buildroot -name \*.la|xargs chmod 644
rm -f %buildroot%_libdir/glade3/modules/libglade*a

%post
%update_menus
%update_desktop_database
%update_icon_cache hicolor

%postun
%clean_menus
%clean_desktop_database
%clean_icon_cache hicolor

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/glade-3
%{_libdir}/glade3/modules/libgladegtk.so
%{_libdir}/glade3/modules/libgladegnome.so
%{_datadir}/glade3
%{_datadir}/applications/glade-3.desktop
%_datadir/icons/hicolor/*/apps/glade*
%{_menudir}/%name
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png

%files -n %{libname}
%{_libdir}/libgladeui-1.so.%{major}*

%files -n %{libname}-devel
%{_includedir}/libgladeui-1.0/
%{_libdir}/pkgconfig/libgladeui-1.0.pc
%{_libdir}/pkgconfig/glade-3.pc
%{_libdir}/*.la
%{_libdir}/*.so
%_datadir/gtk-doc/html/*

%changelog
* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 1:3.0.1-1mdv2007.0
- Release 3.0.1
- bump lib major

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org> 1:3.0.0-2mdv2007.0
- fix buildrequires

* Sun Aug 13 2006 Götz Waschk <waschk@mandriva.org> 1:3.0.0-1mdv2007.0
- fix file list
- new major 
- new version

* Sun Aug 13 2006 Götz Waschk <waschk@mandriva.org> 1:3.0.0-1mdv2007.0
- New release 3.0.0

* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 2.91.1-2mdv2007.0
- xdg menu

* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 1:2.91.1-2mdk
- Rebuild

* Mon May  8 2006 Götz Waschk <waschk@mandriva.org> 2.91.1-1mdk
- update file list
- New release 2.91.1

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 2.91.0-1mdk
- New release 2.91.0
- use mkrel

* Fri Sep 30 2005 Götz Waschk <waschk@mandriva.org> 21:.90.0-1mdk
- new version

* Sat Jul 23 2005 Austin Acton <austin@mandriva.org> 3.0.0-0.20050723.1mdk
- new cvs checkout
- handier cvs settings in spec

* Wed May 18 2005 Austin Acton <austin@mandriva.org> 3.0.0-0.20050516.1mdk
- from Tigrux <tigrux@ximian.com> :
  - first rpm for mandriva linux
- minor spec cleanups
- add menu entry
- ldconfig entries
